Hooks:PostHook(ChatManager,"receive_message_by_peer","beemovie_check_activate",function(self,channel_id,peer,raw_message)
	if not BeeMovie then
		log("BeeMovie: No BeeMovie global found; do you have BeardLib installed? My nerves are fried from riding on this emotional roller coaster!")
		Hooks:RemovePostHook("beemovie_check_activate")
		return
	end
	if not peer then 
		return
	elseif peer == managers.network:session():local_peer() then 
		if raw_message == "disable" then
			BeeMovie.disabled = true
			BeeMovie:Stop()
			return
		elseif raw_message == "enable" then
			BeeMovie.disabled = false
			return
		end
	elseif self:is_peer_muted(peer) then
		return
	end
	if BeeMovie:IsDisabled() then 
		return
	elseif string.find(raw_message,BeeMovie.prefix) then 
		return
	end
	
	local message = string.gsub(string.gsub(utf8.to_lower(raw_message),"%p",""),"%s","")
	
	local is_playing = BeeMovie:IsPlaying()
	if is_playing then 
		local safewords = BeeMovie.bearwords
		for _,_safeword in ipairs(safewords) do 
			local safeword = string.gsub(string.gsub(utf8.to_lower(_safeword),"%p",""),"%s","") --format for searching by setting to lowercase and removing space characters and punctuation
			if safeword ~= "" and string.find(message,safeword) then 
				if string.find(message,"fuck") and not string.find(safeword,"fuck") then 
					local rude_responses = BeeMovie.rude_responses
					BeeMovie:SendChat(rude_responses[math.random(#rude_responses)],true)
				else
					BeeMovie:SendChat(string.gsub(BeeMovie.deactivation_response,"$WORD",_safeword),true)
				end
				BeeMovie:Stop()
				break
			end
		end
	else
		local buzzwords = BeeMovie.buzzwords --get it? BUZZ-WORDS??? HAHAHAH i should write a newspaper column. maybe at BUZZFEED???? HhheuHueeuHEUehueheuehuHEUHEUEH
		for _,_buzzword in ipairs(buzzwords) do 
			local buzzword = string.gsub(string.gsub(utf8.to_lower(_buzzword),"%p",""),"%s","")
			if buzzword ~= "" and string.find(message,buzzword) then
				BeeMovie:SendChat(string.gsub(BeeMovie.activation_response,"$WORD",utf8.to_upper(_buzzword)),true)
				
				--send message after one delay interval
				BeeMovie:Start()
				break
			end
		end
	end	
end)